# Command: testsuite::test_common_props_setting

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_common_props_setting - test that common properties can be set as defaults, not else

Synopsis:

    (test_common_props_setting) run -> compare response with reference data

Description:

      For synapses with common properties, ensure that common and individual properties can be set by
      SetDefaults and CopyModel, but that an exception is raised if they are set via an individual connection.

Author:

    Hans E Plesser

FirstVersion:

    November 2014

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/testsuite/unittests/test_common_props_setting.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative